Index: standards/DailyDrillingReport/1.2.0/DDRMLv_1_2_1.xsd
===================================================================
--- standards/DailyDrillingReport/1.2.0/DDRMLv_1_2_1.xsd (revision 342)
+++ standards/DailyDrillingReport/1.2.0/DDRMLv_1_2_1.xsd (revision 369)
@@ -2123,174 +1962,138 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="tvdBottom" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS328363900">
+			<xsd:element name="tvdBottom" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS328363900">
 				<xsd:annotation>
 					<xsd:documentation>True vertical depth at the bottom of the test interval.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="chokeOrificeSize" type="witsml:lengthMeasureMilliMetre" minOccurs="1" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17701110">
+			<xsd:element name="chokeOrificeSize" type="witsml:lengthMeasureMilliMetre" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17701110">
+				<xsd:annotation>
+					<xsd:documentation>The diameter of the choke opening.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureMilliMetre for element chokeOrificeSize.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element chokeOrificeSize.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The diameter of the choke opening.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="densityOil" type="witsml:densityMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700690">
+				<xsd:annotation>
+					<xsd:documentation>The density of the produced oil.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element densityOil.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The density of the produced oil.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="densityWater" type="witsml:densityMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS16430300">
+				<xsd:annotation>
+					<xsd:documentation>The density of the produced water.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element densityWater.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The density of the produced water.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="densityGas" type="witsml:densityMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17881266">
+				<xsd:annotation>
+					<xsd:documentation>The density of the produced gas.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element densityGas.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The density of the produced gas.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="flowRateOil" type="witsml:volumeFlowRateMeasureCubicMetresPerDay" minOccurs="1"
-				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700915">
+			</xsd:element>
+			<xsd:element name="flowRateOil" type="witsml:volumeFlowRateMeasureCubicMetresPerDay" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700915">
+				<xsd:annotation>
+					<xsd:documentation>The maximum rate at which oil was produced.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:volumeFlowRateMeasure to witsml:volumeFlowRateMeasureCubicMetresPerDay for element flowRateOil.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element flowRateOil.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The maximum rate at which oil was produced.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="flowRateWater" type="witsml:volumeFlowRateMeasureCubicMetresPerDay" minOccurs="1"
-				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700765">
+			</xsd:element>
+			<xsd:element name="flowRateWater" type="witsml:volumeFlowRateMeasureCubicMetresPerDay" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700765">
+				<xsd:annotation>
+					<xsd:documentation>The maximum rate at which water was produced.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:volumeFlowRateMeasure to witsml:volumeFlowRateMeasureCubicMetresPerDay for element flowRateWater.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element flowRateWater.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The maximum rate at which water was produced.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="flowRateGas" type="witsml:volumeFlowRateMeasureMillionCubicMetresPerDay" minOccurs="1"
-				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700480">
+			</xsd:element>
+			<xsd:element name="flowRateGas" type="witsml:volumeFlowRateMeasureMillionCubicMetresPerDay" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700480">
+				<xsd:annotation>
+					<xsd:documentation>The maximum rate at which gas was produced.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:volumeFlowRateMeasure to witsml:volumeFlowRateMeasureMillionCubicMetresPerDay for element flowRateGas.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element flowRateGas.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The maximum rate at which gas was produced.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="presShutIn" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700360">
+			</xsd:element>
+			<xsd:element name="presShutIn" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700360">
+				<xsd:annotation>
+					<xsd:documentation>The final shut in pressure.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:pressureMeasure to witsml:pressureMeasureMegaPascals for element presShutIn.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element presShutIn.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The final shut in pressure.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="presFlowing" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700645">
+			</xsd:element>
+			<xsd:element name="presFlowing" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700645">
+				<xsd:annotation>
+					<xsd:documentation>The final flowing pressure.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:pressureMeasure to witsml:pressureMeasureMegaPascals for element presFlowing.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element presFlowing.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The final flowing pressure.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="presBottom" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700075">
+			</xsd:element>
+			<xsd:element name="presBottom" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700075">
+				<xsd:annotation>
+					<xsd:documentation>The final bottom hole pressure.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:pressureMeasure to witsml:pressureMeasureMegaPascals for element presBottom.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element presBottom.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The final bottom hole pressure.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="gasOilRatio" type="witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre" minOccurs="1"
-				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700000">
+			</xsd:element>
+			<xsd:element name="gasOilRatio" type="witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700000">
+				<xsd:annotation>
+					<xsd:documentation>The ratio of the volume of gas to the volume of oil.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:volumePerVolumeMeasure to witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre for element gasOilRatio.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element gasOilRatio.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The ratio of the volume of gas to the volume of oil.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="waterOilRatio" type="witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre"
-				 minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700240">
+			</xsd:element>
+			<xsd:element name="waterOilRatio" type="witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700240">
+				<xsd:annotation>
+					<xsd:documentation>The relative amount of water per amount of oil.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:volumePerVolumeMeasure to witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre for element waterOilRatio.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element waterOilRatio.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The relative amount of water per amount of oil.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="chloride" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1"
-				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699730">
+			</xsd:element>
+			<xsd:element name="chloride" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699730">
+				<xsd:annotation>
+					<xsd:documentation>The relative amount of chloride in the produced water.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:massConcentrationMeasure to witsml:massConcentrationMeasurePartPerMillion for element chloride.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element chloride.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The relative amount of chloride in the produced water.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="carbonDioxide" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1"
-				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699610">
+			</xsd:element>
+			<xsd:element name="carbonDioxide" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699610">
+				<xsd:annotation>
+					<xsd:documentation>The relative amount of CO2 gas.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:massConcentrationMeasure to witsml:massConcentrationMeasurePartPerMillion for element carbonDioxide.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element carbonDioxide.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The relative amount of CO2 gas.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="hydrogenSulfide" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1"
-				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699880">
+			</xsd:element>
+			<xsd:element name="hydrogenSulfide" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699880">
+				<xsd:annotation>
+					<xsd:documentation>The relative amount of H2S gas.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:massConcentrationMeasure to witsml:massConcentrationMeasurePartPerMillion for element hydrogenSulfide.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element hydrogenSulfide.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The relative amount of H2S gas.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="volOilTotal" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699280">
+			</xsd:element>
+			<xsd:element name="volOilTotal" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699280">
+				<xsd:annotation>
+					<xsd:documentation>The total amount of oil produced. This includes oil that was disposed of (e.g., burned).</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:volumeMeasure to witsml:volumeMeasureCubicMetre for element volOilTotal.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element volOilTotal.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The total amount of oil produced. This includes oil that was disposed of (e.g., burned).</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="volGasTotal" type="witsml:volumeMeasureMillionCubicMetres" minOccurs="1" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699400">
+			</xsd:element>
+			<xsd:element name="volGasTotal" type="witsml:volumeMeasureMillionCubicMetres" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699400">
+				<xsd:annotation>
+					<xsd:documentation>The total amount of gas produced. This includes gas that was disposed of (e.g., burned).</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:volumeMeasure to witsml:volumeMeasureMillionCubicMetres for element volGasTotal.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element volGasTotal.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The total amount of gas produced. This includes gas that was disposed of (e.g., burned).</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="volWaterTotal" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699565">
+			</xsd:element>
+			<xsd:element name="volWaterTotal" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699565">
+				<xsd:annotation>
+					<xsd:documentation>The total amount of water produced. This includes water that was disposed of.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:volumeMeasure to witsml:volumeMeasureCubicMetre for element volWaterTotal.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element volWaterTotal.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The total amount of water produced. This includes water that was disposed of.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="volOilStored" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1"
-				 sawsdl:modelReference="http://projects.dnv.com/reference_data/RD4Browser/default.aspx?RDLDesignation=TOTAL OIL VOLUME STORED FROM WELL TEST - M3">
+			</xsd:element>
+			<xsd:element name="volOilStored" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://projects.dnv.com/reference_data/RD4Browser/default.aspx?RDLDesignation=TOTAL OIL VOLUME STORED FROM WELL TEST - M3">
+				<xsd:annotation>
+					<xsd:documentation>The total amount of produced oil that was stored.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:volumeMeasure to witsml:volumeMeasureCubicMetre for element volOilStored.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element volOilStored.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The total amount of produced oil that was stored.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<!--PROFILE: Deleted element extensionNameValue.-->
@@ -2312,26 +2115,26 @@
 		<xsd:sequence minOccurs="0">
 			<xsd:element name="type" type="witsml:tubularTypes" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>The type of tubular (e.g., c=casing, t=tubing, l=liner).</xsd:documentation>
+				</xsd:annotation>
 				<!-- PROFILE: Changed type from witsml:str32 to witsml:tubularTypes for element type -->
-				<xsd:annotation>
-					<xsd:documentation>The type of tubular (e.g., c=casing, t=tubing, l=liner).</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="id" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>The inside diameter of the tubular used (in).</xsd:documentation>
+				</xsd:annotation>
 				<!-- PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureInch for element type -->
-				<xsd:annotation>
-					<xsd:documentation>The inside diameter of the tubular used (in).</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="od" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>The outside diameter of the tubular used (in).</xsd:documentation>
+				</xsd:annotation>
 				<!-- PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureInch for element type -->
-				<xsd:annotation>
-					<xsd:documentation>The outside diameter of the tubular used (in).</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="weight" type="witsml:massPerLengthMeasurePoundsMassPerFoot" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>The weight per length of the tubular (pound/ft).</xsd:documentation>
+				</xsd:annotation>
 				<!-- PROFILE: Changed type from witsml:massPerLengthMeasure to witsml:massPerLengthMeasurePoundsMassPerFoot for element type -->
-				<xsd:annotation>
-					<xsd:documentation>The weight per length of the tubular (pound/ft).</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="grade" type="witsml:str32" minOccurs="0" maxOccurs="1">
@@ -2364,9 +2167,9 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="casing_liner_tubing_run" type="witsml:cs_stimJobStage" minOccurs='0' maxOccurs='1'>
+			<xsd:element name="casing_liner_tubing_run" type="witsml:cs_stimJobStage" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Information about a casing_liner_tubing run.</xsd:documentation>
+				</xsd:annotation>
 				<!-- PROFILE: Added element casing_liner_tubing_run -->
-				<xsd:annotation>
-					<xsd:documentation>Information about a casing_liner_tubing run.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<!-- PROFILE: deleted element tvdTop -->
@@ -2535,26 +2338,23 @@
 		<xsd:sequence>
 			<xsd:element name="type" type="witsml:str32" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17684695">
-				<!--PROFILE: Changed minOccurs from 0 to 1 for element type.-->
-
 				<xsd:annotation>
 					<xsd:documentation>Description for the type of fluid.</xsd:documentation>
 					<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3.1-110, Change=Fix-typo</xsd:appinfo>
 				</xsd:annotation>
+				<!--PROFILE: Changed minOccurs from 0 to 1 for element type.-->
 			</xsd:element>
 			<!--PROFILE: Deleted element locationSample.-->
 			<xsd:element name="dTim" type="witsml:timestamp" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17683990">
+				<xsd:annotation>
+					<xsd:documentation>The time when fluid readings were recorded.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element dTim.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The time when fluid readings were recorded.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="md" type="witsml:measuredDepthCoord" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17839324">
-				<!--PROFILE: Changed minOccurs from 0 to 1 for element md.-->
-
 				<xsd:annotation>
 					<xsd:documentation>The measured depth where the fluid readings were recorded.</xsd:documentation>
 					<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3.1-110, Change=Fix-typo</xsd:appinfo>
 				</xsd:annotation>
+				<!--PROFILE: Changed minOccurs from 0 to 1 for element md.-->
 			</xsd:element>
 			<xsd:element name="tvd" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17839024">
@@ -2564,44 +2364,38 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="presBopRating" type="witsml:pressureMeasureBar" minOccurs="1" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17686740">
+			<xsd:element name="presBopRating" type="witsml:pressureMeasureBar" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17686740">
+				<xsd:annotation>
+					<xsd:documentation>Maximum pressure rating of the blow out preventer.</xsd:documentation>
+					<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3.1-33, Change=Added</xsd:appinfo>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:pressureMeasure to witsml:pressureMeasureBar for element presBopRating.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element presBopRating.-->
-
-				<xsd:annotation>
-					<xsd:documentation>Maximum pressure rating of the blow out preventer.</xsd:documentation>
-					<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3.1-33, Change=Added</xsd:appinfo>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="mudClass" type="witsml:MudClass" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17684065">
-				<!--PROFILE: Changed minOccurs from 0 to 1 for element mudClass.-->
-
 				<xsd:annotation>
 					<xsd:documentation>The class of the drilling fluid.</xsd:documentation>
 					<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3.1-33, Change=Added</xsd:appinfo>
 				</xsd:annotation>
+				<!--PROFILE: Changed minOccurs from 0 to 1 for element mudClass.-->
 			</xsd:element>
 			<xsd:element name="density" type="witsml:densityMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659935">
+				<xsd:annotation>
+					<xsd:documentation>Fluid density.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element density.-->
-
-				<xsd:annotation>
-					<xsd:documentation>Fluid density.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<!--PROFILE: Deleted element visFunnel.-->
 			<!--PROFILE: Deleted element tempVis.-->
 			<xsd:element name="pv" type="witsml:dynamicViscosityMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17684275">
+				<xsd:annotation>
+					<xsd:documentation>Plastic viscosity.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element pv.-->
-
-				<xsd:annotation>
-					<xsd:documentation>Plastic viscosity.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="yp" type="witsml:pressureMeasure" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17684395">
+				<xsd:annotation>
+					<xsd:documentation>Yield point (Bingham and Herschel Bulkley models).</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element yp.-->
-
-				<xsd:annotation>
-					<xsd:documentation>Yield point (Bingham and Herschel Bulkley models).</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<!--PROFILE: Deleted element gel10Sec.-->
@@ -3007,6 +2801,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="methodVariant" type="witsml:ProjectionVariantsObliqueMercator" minOccurs="0"
-				 maxOccurs="1">
+			<xsd:element name="methodVariant" type="witsml:ProjectionVariantsObliqueMercator" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>DEPRECATED. Projection method variant - establishes minor variations of the projection. Geoshare proposal.</xsd:documentation>
@@ -3427,31 +3220,27 @@
 				</xsd:element>
 				<xsd:element name="versionKind" type="witsml:OpsReportVersion" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17817431">
-					<!--PROFILE: Changed minOccurs from 0 to 1 for element versionKind.-->
-
 					<xsd:annotation>
 						<xsd:documentation>The kind of report version. For example, a preliminary version.</xsd:documentation>
 					</xsd:annotation>
+					<!--PROFILE: Changed minOccurs from 0 to 1 for element versionKind.-->
 				</xsd:element>
 				<xsd:element name="createDate" type="witsml:timestamp" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS328364064">
-					<!--PROFILE: Changed minOccurs from 0 to 1 for element createDate.-->
-
 					<xsd:annotation>
 						<xsd:documentation>The date and time of the report creation. A later timestamp indicates a newer version. In order to update values in a report a full updated							copy of the original report should be submitted.</xsd:documentation>
 					</xsd:annotation>
+					<!--PROFILE: Changed minOccurs from 0 to 1 for element createDate.-->
 				</xsd:element>
 				<xsd:element name="wellAlias" type="witsml:cs_wellAlias" minOccurs="1" maxOccurs="1">
-					<!--PROFILE: Changed minOccurs from 0 to 1 for element wellAlias.-->
-
 					<xsd:annotation>
 						<xsd:documentation>An alternative name of the well (in a naming system). The above well name should be included in the list of aliases so that its origin can be							known.</xsd:documentation>
 					</xsd:annotation>
+					<!--PROFILE: Changed minOccurs from 0 to 1 for element wellAlias.-->
 				</xsd:element>
 				<xsd:element name="wellboreAlias" type="witsml:cs_wellAlias" minOccurs="2" maxOccurs="2">
-					<!--PROFILE: Changed minOccurs from 0 to 2 for element wellboreAlias.-->
-					<!--PROFILE: Changed maxOccurs from unbounded to 2 for element wellboreAlias.-->
-
 					<xsd:annotation>
 						<xsd:documentation>An alternative name of the wellbore (in a naming system). The above well name should be included in the list of aliases so that its origin can							be known.</xsd:documentation>
 					</xsd:annotation>
+					<!--PROFILE: Changed minOccurs from 0 to 2 for element wellboreAlias.-->
+					<!--PROFILE: Changed maxOccurs from unbounded to 2 for element wellboreAlias.-->
 				</xsd:element>
 				<xsd:element name="wellDatum" type="witsml:cs_wellDatum" minOccurs="0" maxOccurs="unbounded">
@@ -3465,16 +3254,14 @@
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="wellboreInfo" type="witsml:cs_drillReportWellboreInfo" minOccurs="0" maxOccurs="1"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799789">
+				<xsd:element name="wellboreInfo" type="witsml:cs_drillReportWellboreInfo" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799789">
 					<xsd:annotation>
 						<xsd:documentation>General information about a wellbore. The well is represented by the original wellbore.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="statusInfo" type="witsml:cs_drillReportStatusInfo" minOccurs="0" maxOccurs="1"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799868">
-					<!--PROFILE: Changed maxOccurs from unbounded to 1 for element statusInfo.-->
+				<xsd:element name="statusInfo" type="witsml:cs_drillReportStatusInfo" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799868">
 					<xsd:annotation>
 						<xsd:documentation>General status information.</xsd:documentation>
 					</xsd:annotation>
+					<!--PROFILE: Changed maxOccurs from unbounded to 1 for element statusInfo.-->
 				</xsd:element>
 				<xsd:element name="bitRecord" type="witsml:cs_bitRecord" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17831397">
@@ -3500,20 +3287,16 @@
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="porePressure" type="witsml:cs_drillReportPorePressure" minOccurs="0" maxOccurs="unbounded"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799947">
+				<xsd:element name="porePressure" type="witsml:cs_drillReportPorePressure" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799947">
 					<xsd:annotation>
 						<xsd:documentation>Information about the pore pressure.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="extendedReport" type="witsml:timestampedCommentString" minOccurs="0" maxOccurs="1"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17687235">
-					<!--PROFILE: Changed type from witsml:timestampedDescriptionString to witsml:timestampedCommentString for element extendedReport.-->
-
+				<xsd:element name="extendedReport" type="witsml:timestampedCommentString" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17687235">
 					<xsd:annotation>
 						<xsd:documentation>A description of what happened from the end of report to an alternative time before the end of the next report. This is intended to allow a							preliminary description of what happened from the end of the report (commonly midnight) until the time of submission of a preliminary report (commonly 6:00 in							the morning).</xsd:documentation>
 					</xsd:annotation>
+					<!--PROFILE: Changed type from witsml:timestampedDescriptionString to witsml:timestampedCommentString for element extendedReport.-->
 				</xsd:element>
-				<xsd:element name="surveyStation" type="witsml:cs_drillReportSurveyStation" minOccurs="0" maxOccurs="unbounded"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17854338">
+				<xsd:element name="surveyStation" type="witsml:cs_drillReportSurveyStation" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17854338">
 					<xsd:annotation>
 						<xsd:documentation>A survey station recorded during the report interval.</xsd:documentation>
